Get Transaction Data

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/zipform-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "ZipForm API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/zipform-api/mcp"
  }
}

Close
GET /transactions/{transactionId}/data

Returns the data (key-value pairs) for a given transaction. See the Transaction Data Keys appendix in the introduction for the full list of available keys.

Path parameters

  • transactionId string(uuid) Required

    Transaction GUID

Responses

  • 200 application/json

    Transaction data returned successfully

    Hide response attribute Show response attribute object
    • * string Additional properties
  • 401

    Unauthorized

  • 404

    Transaction not found

GET /transactions/{transactionId}/data
curl \
 --request GET 'https://api.pre.zipformplus.com/api/transactions/{transactionId}/data' \
 --header "X-Auth-ContextId: $API_KEY"
Response examples (200)
{
  "additionalProperty1": "string",
  "additionalProperty2": "string"
}